Citrix Hypervisor 8.2 Cumulative Update 1

Who Should Install This Cumulative Update?

Citrix Hypervisor 8.2 Cumulative Update 1 (CH82ECU1) must be installed by customers running Citrix Hypervisor 8.2 LTSR. It includes all previously released Citrix Hypervisor 8.2 hotfixes. Installation of CH82ECU1 is required for all future functional hotfixes for Citrix Hypervisor 8.2 LTSR.

Citrix Hypervisor 8.2 Cumulative Update 1 and its subsequent hotfixes are available only to customers on the Customer Success Services program.

Citrix will continue to provide security updates to the base Citrix Hypervisor 8.2 product for a period of six months from the release date of the Citrix Hypervisor 8.2 Cumulative Update 1 (until Jun 12, 2022). These hotfixes are available only to customers on the Customer Success Services program.

For more information about Citrix Hypervisor 8.2 CU1, see the Citrix Citrix Hypervisor 8.2 Cumulative Update 1 Release Notes.

Information About this Cumulative Update

Component Details
Prerequisite
  • Citrix Hypervisor 8.2

  • Licensed customer with Customer Success Service

Post-update tasks Restart Host
Content live patchable* No
Revision History Published on December 13, 2021
* Available to Enterprise Customers.

Included in this Cumulative Update

This cumulative update includes the following previously released hotfixes.

This cumulative update also includes additional fixes. For a list of the issues resolved by Citrix Hypervisor 8.2 CU1, see the Citrix Citrix Hypervisor 8.2 Cumulative Update 1 Release Notes.

Installing the Cumulative Update

Customers should use either XenCenter or the Citrix Hypervisor Command Line Interface (CLI) to apply this cumulative update. When the installation is complete, see the Post-update tasks in the table Information About this Cumulative Update for information about any post-update tasks you should perform for the update to take effect. As with any software update, back up your data before applying this update. Citrix recommends updating all hosts within a pool sequentially. Upgrading of hosts should be scheduled to minimize the amount of time the pool runs in a “mixed state” where some hosts are upgraded and some are not. Running a mixed pool of updated and non-updated hosts for general operation is not supported.

Installing the Cumulative Update by using XenCenter

Before installing this cumulative update, it is recommended that you update your version of XenCenter to the latest available version for Citrix Hypervisor 8.2 CU1 (XenCenter 8.2.4 or later).

Choose an Installation Mechanism

There are three mechanisms to install a cumulative update:

  1. Automated Updates
  2. Download update from Citrix
  3. Select update or Supplemental pack from disk

The Automated Updates feature is available for Citrix Hypervisor Enterprise Edition customers, or to those who have access to Citrix Hypervisor through their Citrix Virtual Apps and Desktops entitlement. For information about installing a cumulative update using the Automated Updates feature, seeApply Automated Updates.

Note:To provide a more secure service for hotfix downloads, XenCenter now requires that you authenticate it with Citrix to automatically download and apply hotfixes. To receive these hotfixes through XenCenter, you must also install the latest version of XenCenter and obtain a client ID JSON file. For more information, see Authenticating your XenCenter to receive updates.

For information about installing a cumulative update using the Download update from Citrix option, see Apply an updates to a pool.

The following section contains instructions on option (3) installing a cumulative update that you have downloaded to disk:

In addition, the Install Update wizard checks whether a live patch (this is an Enterprise Edition feature) is available for the cumulative update and if the live patch can be successfully applied to the hosts.

Follow the on-screen recommendations to resolve any update prechecks that have failed. If you want XenCenter to automatically resolve all failed prechecks, click Resolve All. When the prechecks have been resolved, click Next.

Note: If you click Cancel at this stage, the Install Update wizard reverts the changes and removes the update file from the host.

  1. Download the cumulative update to a known location on a computer that has XenCenter installed.
  2. Unzip the cumulative update zip file and extract the .iso file
  3. In XenCenter, on the Tools menu, select Install Update. This displays the Install Update wizard.
  4. Read the information displayed on the Before You Start page and click Next to start the wizard.
  5. Click Browse to locate the iso file, select CH82ECU1.iso and then click Open.
  6. Click Next.
  7. Select the pool or hosts you wish to apply the cumulative update to, and then click Next.
  8. The Install Update wizard performs a number of update prechecks, including the space available on the hosts, to ensure that the pool is in a valid configuration state. The wizard also checks whether the hosts need to be rebooted after the update is applied and displays the result.
  9. Choose the Update Mode. Review the information displayed on the screen and select an appropriate mode. If the update contains a live patch that can be successfully applied to the hosts, it displays No action required on the Tasks to be performed screen.
  10. Click Install update to proceed with the installation. The Install Update wizard shows the progress of the update, displaying the major operations that XenCenter performs while updating each host in the pool.
  11. When the update is applied, click Finish to close the wizard.
  12. If you chose to carry out the post-update tasks, do so now.

Installing the Cumulative Update by using the xe Command Line Interface

  1. Download the cumulative update file to a known location.
  2. Extract the .iso file from the zip.
  3. Upload the .iso file to the Pool Master by entering the following commands:

    (Where -s is the Pool Master’s IP address or DNS name.)

    xe -s <server> -u <username> -pw <password> update-upload file-name= <filename>CH82ECU1.iso

    Citrix Hypervisor assigns the update file a UUID which this command prints. Note the UUID.

    cd6e837a-04bc-4fd4-9d1f-3af233198a7f

  4. Apply the update to all hosts in the pool, specifying the UUID of the update:

    xe update-pool-apply uuid=cd6e837a-04bc-4fd4-9d1f-3af233198a7f

    Alternatively, if you want to update and restart hosts in a rolling manner, you can apply the update file to an individual host by running the following:

    xe upload-apply host-uuid= <UUID_of_host> uuid=cd6e837a-04bc-4fd4-9d1f-3af233198a7f

  5. Verify that the update was applied by using the update-list command.

    xe update-list -s <server> -u root -pw <password> name-label=CH82ECU1

    If the update is successful, the hosts field contains the UUIDs of the hosts to which this cumulative update was successfully applied. This should be a complete list of all hosts in the pool.

  6. If the cumulative update is applied successfully, carry out any specified post-update task on each host, starting with the master.

Update Source

This source code is not necessary for update installation: it is provided to fulfill licensing obligations.

Log in to verify download permissions

You must be logged in to your Citrix account to access the following link and to download the source code for any modified open source components CitrixHypervisor-8.2.1-update-sources.iso.

Files

Hotfix File

Component Details
Hotfix Filename CH82ECU1.iso
Hotfix File sha256 febb6bef7eae1212d776fef5264a84942c8f38d95cd56efff2f1ee7f874542be
Hotfix Source Filename CitrixHypervisor-8.2.1-update-sources.iso
Hotfix Source File sha256 9a2ba17a5ab84a000e3958629df7b695e461887da1fa3ad01d3a60dcdd741204
Hotfix Zip Filename CH82ECU1.zip
Hotfix Zip File sha256 82ee325ed300c3e5d9f8aa889af16ec8ea5a25e39c2e7a78ff60a9514e83543a
Size of the Zip file 159.64 MB

Files Updated

avago-mpt3sas-33.100.00.01-1.el7.centos.x86_64.rpm
blktap-3.37.3-1.0.x86_64.rpm
ca-certificates-2021.2.50-72.xs8.noarch.rpm
cisco-enic-4.0.0.11-1.el7.centos.x86_64.rpm
cisco-fnic-2.0.0.59-1.el7.centos.x86_64.rpm
citrix-crypto-module-1.1.1k-2.el7.x86_64.rpm
edk2-20180522git4b8552d-1.4.5.x86_64.rpm
elxocmcore-12.2.403.0-1.x86_64.rpm
elxocmcorelibs-12.2.403.0-1.x86_64.rpm
fcoe-utils-1.0.32-1.el7.x86_64.rpm
forkexecd-1.18.0-3.el7.centos.x86_64.rpm
gnutls-3.3.29-9.el7_6.x86_64.rpm
gpumon-0.18.0-4.el7.centos.x86_64.rpm
grub-2.02-3.1.0.x86_64.rpm
grub-efi-2.02-3.1.0.x86_64.rpm
grub-tools-2.02-3.1.0.x86_64.rpm
guest-templates-json-1.9.6-1.noarch.rpm
guest-templates-json-data-linux-1.9.6-1.noarch.rpm
guest-templates-json-data-other-1.9.6-1.noarch.rpm
guest-templates-json-data-windows-1.9.6-1.noarch.rpm
hbaapiwrapper-12.2.403.0-1.x86_64.rpm
hcp_nss-1.0.0-1.el7.centos.x86_64.rpm
host-upgrade-plugin-2.2.3-1.noarch.rpm
intel-ice-1.6.4-1.el7.centos.x86_64.rpm
intel-ixgbe-5.9.4-1.el7.centos.x86_64.rpm
jansson-2.10-1.el7.x86_64.rpm
kernel-4.19.19-7.0.13.x86_64.rpm
libev-4.15-7.el7.x86_64.rpm
libldb-1.5.4-2.el7.x86_64.rpm
libsmbclient-4.10.16-13.el7_9.x86_64.rpm
libtalloc-2.1.16-1.el7.x86_64.rpm
libtdb-1.3.18-1.el7.x86_64.rpm
libtevent-0.9.39-1.el7.x86_64.rpm
libwbclient-4.10.16-13.el7_9.x86_64.rpm
livepatch-utils-1.3.0-1.x86_64.rpm
message-switch-1.23.2-3.el7.centos.x86_64.rpm
microcode_ctl-2.1-26.xs15.x86_64.rpm
nettle-2.7.1-8.el7.x86_64.rpm
openssl-1.0.2k-19.el7.x86_64.rpm
openssl-libs-1.0.2k-19.el7.x86_64.rpm
openssl-perl-1.0.2k-19.el7.x86_64.rpm
openvswitch-2.5.3-2.3.10.x86_64.rpm
pyldb-1.5.4-2.el7.x86_64.rpm
pytalloc-2.1.16-1.el7.x86_64.rpm
python-tdb-1.3.18-1.el7.x86_64.rpm
qemu-4.2.1-4.6.1.x86_64.rpm
qlogic-netxtreme2-4.19.0+1-modules-7.14.76-1.el7.centos.x86_64.rpm
qlogic-fastlinq-8.42.10.0-3.el7.centos.x86_64.rpm
qlogic-netxtreme2-7.14.76-1.el7.centos.x86_64.rpm
rrd2csv-1.2.5-7.el7.centos.x86_64.rpm
rrdd-plugins-1.10.8-5.el7.centos.x86_64.rpm
samba-client-4.10.16-13.el7_9.x86_64.rpm
samba-common-4.10.16-13.el7_9.noarch.rpm
samba-common-libs-4.10.16-13.el7_9.x86_64.rpm
samba-winbind-4.10.16-13.el7_9.x86_64.rpm
samba-winbind-clients-4.10.16-13.el7_9.x86_64.rpm
samba-client-libs-4.10.16-13.el7_9.x86_64.rpm
samba-common-tools-4.10.16-13.el7_9.x86_64.rpm
samba-libs-4.10.16-13.el7_9.x86_64.rpm
samba-winbind-modules-4.10.16-13.el7_9.x86_64.rpm
secureboot-certificates-0.5.0-1.x86_64.rpm
security-tools-1.0.3-1.x86_64.rpm
sm-2.30.6-1.x86_64.rpm
sm-cli-0.23.0-6.el7.centos.x86_64.rpm
sm-core-libs-0.13.0-1.el7.centos.noarch.rpm
sm-rawhba-2.30.6-1.x86_64.rpm
sm-transport-lib-0.15.1-1.el7.centos.noarch.rpm
squeezed-0.27.0-4.el7.centos.x86_64.rpm
sudo-1.8.23-10.el7_9.1.x86_64.rpm
systemd-219-57.el7.centos.1.xs4.x86_64.rpm
systemd-libs-219-57.el7.centos.1.xs4.x86_64.rpm
systemd-sysv-219-57.el7.centos.1.xs4.x86_64.rpm
varstored-0.9.4-1.x86_64.rpm
tdb-tools-1.3.18-1.el7.x86_64.rpm
trousers-0.3.14-2.el7.x86_64.rpm
upgrade-pbis-to-winbind-1.0.0-7.el7.centos.noarch.rpm
v6d-citrix-10.53.1-4.el7.centos.x86_64.rpm
varstored-guard-0.6.1-3.x86_64.rpm
varstored-tools-0.9.4-1.x86_64.rpm
vhd-tool-0.43.0-4.el7.centos.x86_64.rpm
wsproxy-1.12.0-5.el7.centos.x86_64.rpm
xapi-storage-plugins-gfs2-1.42.3-1.x86_64.rpm
xapi-storage-plugins-libs-1.42.3-1.x86_64.rpm
xapi-storage-script-0.34.1-2.el7.centos.x86_64.rpm
xapi-storage-11.19.0_sxm2-3.el7.centos.x86_64.rpm
xapi-storage-plugins-1.42.3-1.x86_64.rpm
xapi-clusterd-0.50.2-3.el7.centos.x86_64.rpm
xapi-core-1.249.19-1.x86_64.rpm
xapi-nbd-1.11.0-3.el7.centos.x86_64.rpm
xapi-storage-plugins-datapaths-1.42.3-1.x86_64.rpm
xapi-tests-1.249.19-1.x86_64.rpm
xapi-xe-1.249.19-1.x86_64.rpm
xcp-networkd-0.56.1-3.el7.centos.x86_64.rpm
xcp-python-libs-2.3.4-1.noarch.rpm
xcp-rrdd-1.33.0-5.el7.centos.x86_64.rpm
xenopsd-0.150.9-1.el7.centos.x86_64.rpm
xenopsd-cli-0.150.9-1.el7.centos.x86_64.rpm
xenopsd-xc-0.150.9-1.el7.centos.x86_64.rpm
xenserver-hwdata-20210516-1.noarch.rpm
xenserver-plymouth-theme-1.2.0-1.noarch.rpm
xenserver-release-8.2.1-8.x86_64.rpm
xenserver-release-config-8.2.1-8.x86_64.rpm
xenserver-release-presets-8.2.1-8.x86_64.rpm
xenserver-status-report-1.2.10-1.noarch.rpm
xen-dom0-libs-4.13.4-9.17.x86_64.rpm
xen-dom0-tools-4.13.4-9.17.x86_64.rpm
xen-hypervisor-4.13.4-9.17.x86_64.rpm
xen-libs-4.13.4-9.17.x86_64.rpm
xen-tools-4.13.4-9.17.x86_64.rpm
xsconsole-10.1.13-1.x86_64.rpm
xs-obsolete-packages-1-8.noarch.rpm

More Information

For more information, see the Citrix Hypervisor 8.2 Documentation.

If you experience any difficulties, contact Citrix Technical Support.

Related:

  • No Related Posts

Leave a Reply